
:root {
    /*    primary*/
    --mud-palette-primary: #025338 !important;
    --mud-palette-primary-text: #fffffff !important;
    --mud-palette-primary-darken:;
    --mud-palette-primary-lighten:;
    --mud-palette-primary-hover: rgb(2,83,56,0.2) !important;
    /*        secondary*/
    --mud-palette-secondary: #037751 !important;
    --mud-palette-secondary-darken: #034F35 !important;

    --grid-row-color: #EDF0F1 !important;
    --soft-bg: #f4f9f7; 
    --login-card-bg: #ffffff;
    --error-red: #d32f2f;
}
html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
        content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

div.Tl0p25 {
    width: 35px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl0p5 {
    width: 72px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl1 {
    width: 148px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl2 {
    width: 300px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl3 {
    width: 452px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl4 {
    width: 606px;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

div.Tl-Auto {
    width: auto;
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 5px;
}

.mud-nav-link {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
    padding-left: 6px !important;
}

.mud-drawer .mud-nav-link,
.mud-drawer .mud-nav-group-title,
.mud-drawer .mud-nav-link-icon,
.mud-drawer .mud-nav-group-expand-icon {
    color: #FFFFFF !important;
}

.mud-nav-link:hover {
    background-color: #0B4732 !important;
    transition: background-color 0.2s ease;
}

.mud-nav-link.active {
    background-color: #0B4732 !important;
    color: #ffffff !important;
}
.mud-drawer .mud-nav-link-expand-icon {
    fill: #FFFFFF !important;
    color: #FFFFFF !important;
}


.mud-appbar, .mud-appbar * {
    color: #FFFFFF !important;
}

    .mud-appbar .mud-button-root {
        color: inherit;
    }

/*Les lignes des grids changent de couleurs une fois sur deux*/

.mud-table-row:nth-child(even) {
    background-color: var(--grid-row-color);
}
.mud-data-grid .mud-table-cell.sticky-left {
    background-color: transparent !important;
}
.sticky-right {
    background-color: transparent !important;
}

.btn-white{
    color:white !important;
}

.right {
    display: inline-block;
    float: right;
}

.mud-toolbar{
    padding: 6px 16px !important;
}

.img-logo-layout {
    width: 115px;
    margin-left: 30px;
    margin-right: 10px;
}

.mud-appbar .mud-button-root{
    border-radius: 4px !important;
}

div.mud-tooltip-root a {
    background-color: rgb(3, 140, 95) !important;
}

/*sous menu décalé*/
.mud-nav-group .mud-nav-item a {
    padding-left: 15px !important;
}

.mud-nav-item:not(:first-child)  a {
    padding-left: 15px !important;
}

span.verb {
    color: red !important;
}

span.unit-value {
    color: blue !important;
}

span.figure {
    color: green !important;
}

span.rechange {
    color: magenta !important;
}

span.outilspe {
    color: cyan !important;
}

.sticky-right {
    background-color: white !important;
}

.btn-link-detail-ftm{
    color:white !important;
}

.epi-div .mud-input-outlined {
    line-height: 2em !important;
}